Skip to main content
GET
List Products

Authorizations

Authorization
string
header
required

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
starting_after
string

Return results after this ID (cursor)

q
string

Search by product name (partial match)

category_id
string
collection_id
string
tag
string

Tag filter. Comma-separated for AND condition. Example: tag=new,sale

price_min
integer

Minimum price (smallest currency unit). Based on primary variant

price_max
integer

Maximum price (smallest currency unit). Based on primary variant

sort
enum<string>
default:created_at
Available options:
created_at,
name,
price
order
enum<string>
default:desc
Available options:
asc,
desc

Response

200 - application/json

Success

data
object[]
total_count
integer

Only returned in Admin API. Total count matching filter conditions

has_more
boolean
next_cursor
string | null